import { IotMapManager } from './iot-map-manager';
import { IotMapConfig } from './iot-map-config';
import { IotArea } from './iot-map-types';
import { IotMapArea } from './iot-map-area';
/**
 * Class IotMapPathManager manage iot paths
 */
export declare class IotMapAreaManager {
    map: IotMapManager;
    config: IotMapConfig;
    areaObjects: IotMapArea[];
    /**
     * Create a area manager
     * @param map - the map the area will be displayed on
     * @param config - the config to use to display area
     */
    constructor(map: IotMapManager, config: IotMapConfig);
    /**
     * Display a area according to 'area' information
     * @param area - Iotarea containing points and others information to display
     */
    addArea(area: IotArea): void;
    /**
     * Display a list of areas
     * @param areas - areas to display
     */
    addAreas(areas: IotArea[]): void;
    /**
     * Remove a area from the map
     * @param id - id of the area to remove
     */
    removeArea(id: string): void;
    /**
     * Removes areas from the map, according to the id list
     * @param ids - list of ids of areas to remove
     */
    removeAreas(ids: string[]): void;
}
