import { IotMapConfig } from './iot-map-config';
import { IotArea } from './iot-map-types';
import { IotMapManager } from './iot-map-manager';
import { Polygon } from 'leaflet';
/**
 * Class IotMapArea displaying a Area
 */
export declare class IotMapArea extends Polygon {
    private data;
    private config;
    private map;
    /**
     * Creates an area
     * @param area - an IotArea containing information to display a area
     * @param map - the map the area will be displayed on
     * @param config - the config to use to display the area
     */
    constructor(area: IotArea, map: IotMapManager, config: IotMapConfig);
}
