import { IotMapManager } from './iot-map-manager';
import { IotMapConfig } from './iot-map-config';
import { IotPath } from './iot-map-types';
import { IotMapPath } from './iot-map-path';
/**
 * Class IotMapPathManager manage iot paths
 */
export declare class IotMapPathManager {
    map: IotMapManager;
    config: IotMapConfig;
    pathObjects: IotMapPath[];
    /**
     * Create a path manager
     * @param map - the map the path will be displayed on
     * @param config - the config to use to display path
     */
    constructor(map: IotMapManager, config: IotMapConfig);
    /**
     * Display a path according to 'path' information
     * @param path - IotPath containing points and others information to display
     */
    addPath(path: IotPath): void;
    /**
     * Display a list of paths
     * @param paths - paths to display
     */
    addPaths(paths: IotPath[]): void;
    /**
     * Remove a path from the map
     * @param id - id of the path to remove
     */
    removePath(id: string): void;
    /**
     * Removes paths from the map, according to the id list
     * @param ids - list of ids of paths to remove
     */
    removePaths(ids: string[]): void;
}
