import { IotMapManager } from './iot-map-manager';
import { IotUserMarker } from './iot-map-types';
import { IotMapUserMarker } from './iot-map-user-marker';
import { IotMapConfig } from './iot-map-config';
export declare class IotMapUserMarkerManager {
    userMarkerObject: IotMapUserMarker;
    config: IotMapConfig;
    map: IotMapManager;
    constructor(map: IotMapManager, config: IotMapConfig);
    /**
     * Insert user marker in the map
     *
     * @param userMarker - an IotUserMarker containing all display info
     */
    addUserMarker(userMarker: IotUserMarker): void;
    /**
     * Remove a user marker from the map
     *
     * @remarks there is no param as only one user marker can be displayed at a time
     */
    removeUserMarker(): void;
    /**
     * Update user marker with new display parameters
     *
     * @param params - a structure containing partial display information to update
     */
    updateUserMarker(params: Partial<IotUserMarker>): void;
    /**
     * Returns the user marker object
     */
    getUserMarker(): IotMapUserMarker;
}
